/**
QFIVEDEV-715 Центральные настройки. Подтверждение предварительной записи на регистраторе
 */
DELETE FROM public.registration;

ALTER TABLE public.registration
    ADD COLUMN IF NOT EXISTS ticket_letter text;

ALTER TABLE public.registration
    ADD COLUMN IF NOT EXISTS ticket_number bigint;

UPDATE CENTRAL_SETTING
   SET ID = 36,
       NAME_RU = 'Шаблон cмс, отправляемого после подтверждения предварительной записи',
       NAME_EN = 'Post-confirm sms template',
       DESCRIPTION_RU = 'Может содержать регистрационную информацию (дата и время визита, контактные данные отделения, длительность оказания услуги и т.д.)',
       DESCRIPTION_EN = 'It may contain registration information (date and time of the visit, contact details of the department, duration of the service, etc.).',
       TYPE_ID = 5
 WHERE CODE = 'postAutoConfirmSmsTemplate';

INSERT INTO CENTRAL_SETTING (ID, NAME_RU, NAME_EN, DESCRIPTION_RU, DESCRIPTION_EN, CODE, TYPE_ID)
SELECT 36,
       'Шаблон cмс, отправляемого после подтверждения предварительной записи',
       'Post-confirm sms template',
       'Может содержать регистрационную информацию (дата и время визита, контактные данные отделения, длительность оказания услуги и т.д.)',
       'It may contain registration information (date and time of the visit, contact details of the department, duration of the service, etc.).',
       'postAutoConfirmSmsTemplate', 5
 WHERE NOT EXISTS ( SELECT 1 FROM CENTRAL_SETTING WHERE CODE = 'postAutoConfirmSmsTemplate');

 DELETE FROM public.CENTRAL_SETTING_VALUE
  WHERE central_setting_id = 36;

 INSERT INTO CENTRAL_SETTING_VALUE (CENTRAL_SETTING_id, VALUE_COMMON, VALUE_RU, VALUE_EN, VALUE_CUSTOM_LANGUAGE1, VALUE_CUSTOM_LANGUAGE2, VALUE_CUSTOM_LANGUAGE3)
 VALUES (36, null, 'Уважаемый клиент! Ждем Вас ' || '$' || '{registrationDate} в ' || '$' || '{registrationStart} в ' || '$' || '{departmentName} по адресу ' || '$' || '{departmentAddress}. Ваш номер в очереди ' || '$' || '{clientNumber} и код записи ' || '$' || '{registrationNumber}',
 'Dear Customer! We are waiting for you ' || '$' || '{registrationDate} in ' || '$' || '{registrationStart} in ' || '$' || '{departmentName} at ' || '$' || '{departmentAddress}. Your client number is ' || '$' || '{clientNumber} and code is ' || '$' || '{registrationNumber}',
 null, null, null);